/*
** This software is Copyright (c) 1989, 1990, 1991 by Kent Landfield.
**
** Permission is hereby granted to copy, distribute or otherwise 
** use any part of this package as long as you do not try to make 
** money from it or pretend that you wrote it.  This copyright 
** notice must be maintained in any copy made.
**
*/
#if !defined(lint) && !defined(SABER)
static char SID[] = "@(#)efopen.c	2.1 2/21/91";
#endif

#include <stdio.h>

int fprintf();
FILE *fopen();
void exit();

extern FILE *errfp;

FILE *efopen(file,mode)       
char *file, *mode;
{
     FILE *fp;

     if ((fp = fopen (file, mode)) == NULL) {
         (void) fprintf (errfp, "Can't open file %s\n", file);
         exit(1);
     }
     return (fp);
}
